Skip to Content
veriom

Submit cloud snapshot

Accept a customer-controlled provider inventory with no ambient cloud authority. A repository's keyless CI token is accepted only for a cloud account connected to that repository (cloud quick-connect).

POST
/v1/workspaces/{workspace_id}/cloud/snapshots

Accept a customer-controlled provider inventory with no ambient cloud authority.

A repository's keyless CI token is accepted only for a cloud account connected to that repository (cloud quick-connect).

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

stale_after_seconds?Stale After Seconds
Range300 <= value <= 604800
Default86400

Request Body

application/json
  1. body

A bounded snapshot produced by a customer-controlled cloud collector.

account_ref*Account Ref
Length1 <= length <= 255
collection?

How a bounded inventory was collected, including partial-coverage disclosure.

provider*Provider
Value in"aws""azure""gcp"
relationships?array<>
Itemsitems <= 1000
resources*array<>
Items1 <= items <= 500
schema_version?Schema Version
Default"veriom-cloud-evidence-v1"
sync_id*Sync Id
Length1 <= length <= 255

Response Body

Successful Response

application/json
  1. response
accepted_evidence*Accepted Evidence
account_boundary*Account Boundary
account_ref*Account Ref
age_seconds*Age Seconds
collected_at*Collected At
Formatdate-time
collection_status*Collection Status
Value in"complete""partial"
freshness*Freshness
Value in"current""stale"
ingestion_id*Ingestion Id
Formatuuid
newest_observed_at*Newest Observed At
Formatdate-time
provider*Provider
Value in"aws""azure""gcp"
relationship_count*Relationship Count
replayed?Replayed
Defaultfalse
resource_count*Resource Count
stale_after_seconds*Stale After Seconds
sync_id*Sync Id
warnings?array<string>
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/cloud/snapshots' \  -H 'Content-Type: application/json' \  -d '{  "account_ref": "string",  "provider": "aws",  "resources": [    {      "external_id": "string",      "name": "string",      "resource_type": "string"    }  ],  "sync_id": "string"}'
Example Response
{  "accepted_evidence": 0,  "account_boundary": "string",  "account_ref": "string",  "age_seconds": 0,  "collected_at": "2019-08-24T14:15:22Z",  "collection_status": "complete",  "freshness": "current",  "ingestion_id": "330007c8-a401-40a2-81b9-8c140ac8d66a",  "newest_observed_at": "2019-08-24T14:15:22Z",  "provider": "aws",  "relationship_count": 0,  "replayed": false,  "resource_count": 0,  "stale_after_seconds": 0,  "sync_id": "string",  "warnings": [    "string"  ]}